Bug 374611 - Review Request: pam_mysql - PAM module for auth UNIX users using MySQL data base
Review Request: pam_mysql - PAM module for auth UNIX users using MySQL data base
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-10 08:46 EST by Paul P Komkoff Jr
Modified: 2008-02-25 19:26 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.7-0.4.rc1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-25 19:21:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
fixed spec (2.15 KB, text/x-rpm-spec)
2008-01-10 10:46 EST, manuel wolfshant
no flags Details

  None (edit)
Description Paul P Komkoff Jr 2007-11-10 08:46:43 EST
This is not a new package, I'm just unorphaning something which was orphaned for a long time,

Spec URL: http://cvs.fedoraproject.org/viewcvs/*checkout*/rpms/pam_mysql/devel/pam_mysql.spec?rev=1.14
SRPM URL: http://koji.fedoraproject.org/packages/pam_mysql/0.7/0.1.rc1.fc9/src/pam_mysql-0.7-0.1.rc1.fc9.src.rpm
Description:
Pam_mysql aims to provide a backend neutral means of authenticating
users against an MySQL database.
Comment 1 manuel wolfshant 2007-11-15 10:35:15 EST
I am using this very version for quite some time, so I guess I could review it.


There are a few items which need fixing:
a) rpmlint complains about the source:
1) pam_mysql.src: W: mixed-use-of-spaces-and-tabs (spaces: line 5, tab: line 1)
this is cosmetic, obvious fix
2) pam_mysql.src: W: non-standard-group Base
I suggest System Environment/Base, just like pam
3) pam_mysql.src: W: invalid-license GPL
Should probably be replaced with GPLv2+

b) rpmlint also complains about the binary
file-not-utf8 /usr/share/doc/pam_mysql-0.7/CREDITS
I guess iconv would fix this

c) the .so is installed in /lib[64]/security/, therefore you should Require pam

d) a minor issue is that there are some uplicate BuildRequires: openssl-devel
(by mysql-devel), zlib-devel (by openssl-devel)

a2, a3 and c are MUSTFIXES. Please have at least those ones fixed and afterwards
I'll do the full review.
Comment 2 manuel wolfshant 2007-12-22 11:38:53 EST
ping?
Comment 3 manuel wolfshant 2008-01-05 19:04:43 EST
ping again ?
Comment 4 Paul P Komkoff Jr 2008-01-06 13:38:42 EST
Sorry for the delay, I'm on a extended family emergency^Wvacation, but I'll be
able to access my development environment in next 3 days.
Comment 5 manuel wolfshant 2008-01-10 10:46:41 EST
Created attachment 291293 [details]
fixed spec

the release was bumped by adding a digit after the %dist tag, so that you can
go own with your own numbering scheme
Comment 6 manuel wolfshant 2008-01-10 10:48:16 EST
s/go own/go on/
Comment 7 Paul P Komkoff Jr 2008-01-13 12:45:03 EST
http://koji.fedoraproject.org/koji/buildinfo?buildID=31178
Comment 8 manuel wolfshant 2008-01-14 08:15:39 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: all arch supported by koji scratch build
 [x] Rpmlint output:
Source RPM: none
Binary RPM:
pam_mysql.x86_64: W: file-not-utf8 /usr/share/doc/pam_mysql-0.7/CREDITS
pam_mysql.x86_64: W: incoherent-version-in-changelog 0.7-0.1.rc1.1
1:0.7-0.3.rc1.fc9 [see issue 1]
 [x] Package is not relocatable.
 [x] Buildroot is correct [see also issue 2]
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type:GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     SHA1SUM of package: a139c4b4bf1a2e591a016069405428eb862f7690
pam_mysql-0.7RC1.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines. [see also issue 2]
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [x] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
There is a .so file, but it is NOT used for devel
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English la
nguages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on:devel/x86_64, Centos 5/i386, Centos 4/i386
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: all archs supported by koji scratch build
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English la
nguages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on:devel/x86_64, Centos 5/i386, Centos 4/i386
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: all archs supported by koji scratch build
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.


=== Issues ===
1.rpmlint gives
- pam_mysql.x86_64: W: file-not-utf8 /usr/share/doc/pam_mysql-0.7/CREDITS
Using iconv would fix that
- pam_mysql.x86_64: W: incoherent-version-in-changelog 0.7-0.1.rc1.1
1:0.7-0.3.rc1.fc9
The last one is triggered by the presence of a changelog entry inserted by
rel-eng. Please correct the newest changelog entry (it is not in sync with the
release tag anyway) before commit.
2. Although technically the value you have chosen for BuildRoot is correct,
please consider replacing it with one of the variants listed at
http://fedoraproject.org/wiki/Packaging/Guidelines#head-b4fdd45fa76cbf54c885ef08363613
19ab962473
3. There is a Duplicate BuildRequires: openssl-devel (by mysql-devel),
zlib-devel (by openssl-devel). Current fedora style packaging calls for removing
the duplicates but I see it as a minor problem.


================
*** APPROVED ***
================

If you do not mind, please ask for EPEL branches and add me as co-maintainer for
them (or for the whole package, whatever you seem fit). I am using it on several
 servers, so I am directly interested in it.
Comment 9 Paul P Komkoff Jr 2008-01-19 10:45:15 EST
Package Change Request
======================
Package Name: pam_mysql
New Branches: F-7 F-8 EL-4 EL-5
Updated Fedora Owners: stingray,wolfy
Updated EPEL Owners: stingray,wolfy
Comment 10 Kevin Fenzi 2008-01-19 13:28:07 EST
cvs done.
Comment 11 Paul P Komkoff Jr 2008-01-19 22:22:45 EST
I am tagging and building this for fedora. Manuel, can you take care of EL ?
Comment 12 manuel wolfshant 2008-01-20 19:37:48 EST
I will. But for a reason I failed yet to identify, the src.rpm no longer builds
in EL-4. 
I am postponing EL-5 too until I sort this out, one way or another.
Comment 13 Fedora Update System 2008-01-24 17:02:28 EST
pam_mysql-0.7-0.4.rc1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pam_mysql'
Comment 14 Fedora Update System 2008-01-24 17:04:05 EST
pam_mysql-0.7-0.4.rc1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pam_mysql'
Comment 15 Fedora Update System 2008-02-25 19:21:24 EST
pam_mysql-0.7-0.4.rc1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2008-02-25 19:26:27 EST
pam_mysql-0.7-0.4.rc1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.